package com.ruoyi.cs.service.impl;

import java.util.List;

import cn.hutool.core.util.IdUtil;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.cs.mapper.CsWorkloadRecordMapper;
import com.ruoyi.cs.domain.CsWorkloadRecord;
import com.ruoyi.cs.service.ICsWorkloadRecordService;

import javax.annotation.Resource;

/**
 * 人员工作量记录Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-31
 */
@Service
public class CsWorkloadRecordServiceImpl implements ICsWorkloadRecordService
{
    @Resource
    private CsWorkloadRecordMapper csWorkloadRecordMapper;

    /**
     * 查询人员工作量记录
     *
     * @param workloadRecordId 人员工作量记录主键
     * @return 人员工作量记录
     */
    @Override
    public CsWorkloadRecord selectCsWorkloadRecordByWorkloadRecordId(String workloadRecordId)
    {
        return csWorkloadRecordMapper.selectCsWorkloadRecordByWorkloadRecordId(workloadRecordId);
    }

    /**
     * 查询人员工作量记录列表
     *
     * @param csWorkloadRecord 人员工作量记录
     * @return 人员工作量记录
     */
    @Override
    public List<CsWorkloadRecord> selectCsWorkloadRecordList(CsWorkloadRecord csWorkloadRecord)
    {
        return csWorkloadRecordMapper.selectCsWorkloadRecordList(csWorkloadRecord);
    }

    /**
     * 新增人员工作量记录
     *
     * @param csWorkloadRecord 人员工作量记录
     * @return 结果
     */
    @Override
    public int insertCsWorkloadRecord(CsWorkloadRecord csWorkloadRecord)
    {
        csWorkloadRecord.setWorkloadRecordId(IdUtil.getSnowflakeNextIdStr());
        csWorkloadRecord.setCreateAt(DateUtils.getNowDate());
        csWorkloadRecord.setDelFlag("0");
        return csWorkloadRecordMapper.insertCsWorkloadRecord(csWorkloadRecord);
    }

    /**
     * 修改人员工作量记录
     *
     * @param csWorkloadRecord 人员工作量记录
     * @return 结果
     */
    @Override
    public int updateCsWorkloadRecord(CsWorkloadRecord csWorkloadRecord)
    {
        csWorkloadRecord.setUpdateAt(DateUtils.getNowDate());
        return csWorkloadRecordMapper.updateCsWorkloadRecord(csWorkloadRecord);
    }

    /**
     * 批量删除人员工作量记录
     *
     * @param workloadRecordIds 需要删除的人员工作量记录主键
     * @return 结果
     */
    @Override
    public int deleteCsWorkloadRecordByWorkloadRecordIds(String[] workloadRecordIds)
    {
        return csWorkloadRecordMapper.deleteCsWorkloadRecordByWorkloadRecordIds(workloadRecordIds);
    }

    /**
     * 删除人员工作量记录信息
     *
     * @param workloadRecordId 人员工作量记录主键
     * @return 结果
     */
    @Override
    public int deleteCsWorkloadRecordByWorkloadRecordId(String workloadRecordId)
    {
        return csWorkloadRecordMapper.deleteCsWorkloadRecordByWorkloadRecordId(workloadRecordId);
    }
}
